package de.jottyfan.csv2camt;

/**
 * 
 * @author jotty
 * 
 */
public class Main {
	public static void main(String[] args) throws Exception {
		Package pkg = Main.class.getPackage();
		String version = (pkg == null || pkg.getImplementationVersion() == null) ? "?" : pkg.getImplementationVersion();
		System.out.println("--------------------------------------");
		System.out.println(String.format("-  csv2camt - version %s", version));
		System.out.println("--------------------------------------");
		if (args.length < 1) {
			System.out.println(String.format("usage: java -jar csv2camt-%s-all.jar filename.csv", version));
		} else {
			new Converter().readCsv(args[0]).writeCamt();
		}
	}
}
